## chromium 141.0.7390.107~linuxmint1+faye

=== debian/changelog ===
chromium (141.0.7390.107~linuxmint1+faye) unstable; urgency=medium

  * 141.0.7390.107

 -- Linux Mint <root@linuxmint.com>  Tue, 14 Oct 2025 21:20:18 +0100

chromium (141.0.7390.76~linuxmint1) unstable; urgency=medium

  * 141.0.7390.76

 -- Linux Mint <root@linuxmint.com>  Thu, 09 Oct 2025 21:36:17 +0100

chromium (141.0.7390.65~linuxmint1) unstable; urgency=medium

  * 141.0.7390.65

 -- Linux Mint <root@linuxmint.com>  Tue, 07 Oct 2025 20:50:17 +0100

chromium (141.0.7390.54~linuxmint1) unstable; urgency=medium

  * 141.0.7390.54

 -- Linux Mint <root@linuxmint.com>  Tue, 30 Sep 2025 21:19:32 +0100
