## chromium 141.0.7390.107~linuxmint1+zara

=== debian/changelog ===
chromium (141.0.7390.107~linuxmint1+zara) unstable; urgency=medium

  * 141.0.7390.107

 -- Linux Mint <root@linuxmint.com>  Tue, 14 Oct 2025 21:20:18 +0100
