=== debian/changelog ===
chromium (141.0.7390.107-1~deb13u1) trixie-security; urgency=high

  * New upstream security release.
    - CVE-2025-11756: Use after free in Safe Browsing. Reported by asnine.
  * Suggest --disable-gpu to bug reporters and in README.Debian.

 -- Andres Salomon <dilinger@debian.org>  Tue, 14 Oct 2025 19:25:54 -0400
