## chromium 141.0.7390.122

=== debian/changelog ===
chromium (141.0.7390.122-1~deb13u1) trixie-security; urgency=high

  * New upstream security release.
    - CVE-2025-12036: Inappropriate implementation in V8.
      Reported by Google Big Sleep.

 -- Andres Salomon <dilinger@debian.org>  Tue, 21 Oct 2025 22:21:26 -0400
