## chromium 142.0.7444.59~linuxmint1%2Bgigi

=== debian/changelog ===
chromium (142.0.7444.59~linuxmint1+gigi) unstable; urgency=medium

  * 142.0.7444.59

 -- Linux Mint <root@linuxmint.com>  Tue, 28 Oct 2025 21:35:17 +0000

chromium (141.0.7390.122~linuxmint1) unstable; urgency=medium

  * 141.0.7390.122

 -- Linux Mint <root@linuxmint.com>  Tue, 21 Oct 2025 20:20:16 +0100

chromium (141.0.7390.107~linuxmint1) unstable; urgency=medium

  * 141.0.7390.107

 -- Linux Mint <root@linuxmint.com>  Tue, 14 Oct 2025 21:20:18 +0100
