## chromium 142.0.7444.59~linuxmint1+faye

=== debian/changelog ===
chromium (142.0.7444.59~linuxmint1+faye) unstable; urgency=medium

  * 142.0.7444.59

 -- Linux Mint <root@linuxmint.com>  Tue, 28 Oct 2025 21:35:17 +0000
