## chromium 142.0.7444.59~linuxmint1+virginia

=== debian/changelog ===
chromium (142.0.7444.59~linuxmint1+virginia) unstable; urgency=medium

  * 142.0.7444.59

 -- Linux Mint <root@linuxmint.com>  Tue, 28 Oct 2025 21:35:17 +0000
