## chromium 142.0.7444.134~linuxmint1%2Bfaye

=== debian/changelog ===
chromium (142.0.7444.134~linuxmint1+faye) unstable; urgency=medium

  * 142.0.7444.134

 -- Linux Mint <root@linuxmint.com>  Thu, 06 Nov 2025 00:05:15 +0000

chromium (142.0.7444.59~linuxmint1) unstable; urgency=medium

  * 142.0.7444.59

 -- Linux Mint <root@linuxmint.com>  Tue, 28 Oct 2025 21:35:17 +0000
