## chromium 142.0.7444.134~linuxmint1%2Bgigi

=== debian/changelog ===
chromium (142.0.7444.134~linuxmint1+gigi) unstable; urgency=medium

  * 142.0.7444.134

 -- Linux Mint <root@linuxmint.com>  Thu, 06 Nov 2025 00:05:15 +0000
