## chromium 142.0.7444.134~linuxmint1+gigi

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
     cmake,
     sed,
     gzip,
-    openjdk-17-jre,    
+    openjdk-21-jre,    
     libxml2-dev,
     libpulse-dev,
     libcups2-dev,
@@ -57,7 +57,7 @@
     zlib1g-dev,
     libx11-xcb-dev,
     libxcb-dri3-dev,
-    libtinfo5,
+    libtinfo6,
     libva-dev,
     libwayland-dev,
     libxshmfence-dev,
