## chromium 142.0.7444.134~linuxmint1+zara

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
     cmake,
     sed,
     gzip,
-    openjdk-21-jre,    
+    default-jre-headless,
     libxml2-dev,
     libpulse-dev,
     libcups2-dev,
