## chromium 142.0.7444.134

=== debian/changelog ===
chromium (142.0.7444.134-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2025-12725: Out of bounds write in WebGPU. Reported by Anonymous.
    - CVE-2025-12726: Inappropriate implementation in Views.
      Reported by Alesandro Ortiz.
    - CVE-2025-12727: Inappropriate implementation in V8.
      Reported by 303f06e3.
    - CVE-2025-12728: Inappropriate implementation in Omnibox.
      Reported by Hafiizh.
    - CVE-2025-12729: Inappropriate implementation in Omnibox.
      Reported by Khalil Zhani.

 -- Andres Salomon <dilinger@debian.org>  Wed, 05 Nov 2025 21:47:42 -0500

chromium (142.0.7444.59-1~deb12u1) bookworm-security; urgency=high

  * New upstream stable release.
    - CVE-2025-12428: Type Confusion in V8.
      Reported by Man Yue Mo of GitHub Security Lab.
    - CVE-2025-12429: Inappropriate implementation in V8.
      Reported by Aorui Zhang.
    - CVE-2025-12430: Object lifecycle issue in Media.
      Reported by round.about.
    - CVE-2025-12431: Inappropriate implementation in Extensions.
      Reported by Alesandro Ortiz.
    - CVE-2025-12432: Race in V8. Reported by Google Big Sleep.
    - CVE-2025-12433: Inappropriate implementation in V8.
      Reported by Google Big Sleep.
    - CVE-2025-12036: Inappropriate implementation in V8.
      Reported by Google Big Sleep.
    - CVE-2025-12434: Race in Storage. Reported by Lijo A.T.
    - CVE-2025-12435: Incorrect security UI in Omnibox. Reported by Hafiizh.
    - CVE-2025-12436: Policy bypass in Extensions.
      Reported by Luan Herrera (@lbherrera_).
    - CVE-2025-12437: Use after free in PageInfo. Reported by Umar Farooq.
    - CVE-2025-12438: Use after free in Ozone.
      Reported by Wei Yuan of MoyunSec VLab.
    - CVE-2025-12439: Inappropriate implementation in App-Bound Encryption.
      Reported by Ari Novick.
    - CVE-2025-12440: Inappropriate implementation in Autofill.
      Reported by Khalil Zhani.
    - CVE-2025-12441: Out of bounds read in V8. Reported by Google Big Sleep.
    - CVE-2025-12443: Out of bounds read in WebXR. Reported by Aisle Research
    - CVE-2025-12444: Incorrect security UI in Fullscreen UI.
      Reported by syrf.
    - CVE-2025-12445: Policy bypass in Extensions. Reported by Thomas Greiner
    - CVE-2025-12446: Incorrect security UI in SplitView. Reported by Hafiizh
    - CVE-2025-12447: Incorrect security UI in Omnibox.
      Reported by Khalil Zhani.
  * d/patches:
    - disable/android.patch: drop part of patch related to md5sum tool.
    - disable/catapult.patch: refresh.
    - bookworm/clang19.patch: also drop uninit-const-pointer and
      unnecessary-virtual-specifier warnings.
    - ungoogled/disable-privacy-sandbox.patch: sync from upstream.
    - i386/support-i386.patch: refresh.
    - trixie/rust-sanitize.patch: add a workaround for older rustc.
    - fixes/chromium-142-iwyu-field-form-data.patch: pull in build fix
      from gentoo.
    - trixie/rust-no-alloc-shim.patch: add another missing symbol that's
      provided by newer versions of rust.
    - bookworm/gn-path-exists2.patch: add another workaround for lack of
      path_exists() in older gn.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - third_party/0001-third-party-hwy-wrong-include.patch: Drop due to
      upstream fixes
    - ppc64le/third_party/0002-regenerate-xnn-buildgn.patch: Regenerate from
      upstream sources
    - core/add-ppc64-architecture-to-extensions.diff: Refresh for upstream
      changes

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - third_party/0001-third-party-hwy-wrong-include.patch: Drop due to
      upstream fixes
    - ppc64le/third_party/0002-regenerate-xnn-buildgn.patch: Regenerate from
      upstream sources
    - core/add-ppc64-architecture-to-extensions.diff: Refresh for upstream
      changes

 -- Andres Salomon <dilinger@debian.org>  Wed, 29 Oct 2025 13:44:37 -0400

chromium (141.0.7390.122-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2025-12036: Inappropriate implementation in V8.
      Reported by Google Big Sleep.

 -- Andres Salomon <dilinger@debian.org>  Tue, 21 Oct 2025 22:21:26 -0400

chromium (141.0.7390.107-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2025-11756: Use after free in Safe Browsing. Reported by asnine.
  * Suggest --disable-gpu to bug reporters and in README.Debian.

 -- Andres Salomon <dilinger@debian.org>  Tue, 14 Oct 2025 19:25:54 -0400

chromium (141.0.7390.65-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2025-11458: Heap buffer overflow in Sync.
      Reported by raven at KunLun lab.
    - CVE-2025-11460: Use after free in Storage. Reported by Sombra.
    - CVE-2025-11211: Out of bounds read in WebCodecs.
      Reported by Jakob Košir.

 -- Andres Salomon <dilinger@debian.org>  Tue, 07 Oct 2025 20:11:58 -0400

chromium (141.0.7390.54-1~deb12u1) bookworm-security; urgency=high

  * New upstream stable release.
    - CVE-2025-11205: Heap buffer overflow in WebGPU.
      Reported by Atte Kettunen of OUSPG.
    - CVE-2025-11206: Heap buffer overflow in Video. Reported by Elias Hohl.
    - CVE-2025-11207: Side-channel information leakage in Storage.
      Reported by Alesandro Ortiz.
    - CVE-2025-11208: Inappropriate implementation in Media.
      Reported by Kevin Joensen.
    - CVE-2025-11209: Inappropriate implementation in Omnibox.
      Reported by Hafiizh.
    - CVE-2025-11210: Side-channel information leakage in Tab.
      Reported by Umar Farooq.
    - CVE-2025-11211: Out of bounds read in Media. Reported by Kosir Jakob.
    - CVE-2025-11212: Inappropriate implementation in Media.
      Reported by Ameen Basha M K.
    - CVE-2025-11213: Inappropriate implementation in Omnibox.
      Reported by Hafiizh.
    - CVE-2025-11215: Off by one error in V8. Reported by Google Big Sleep.
    - CVE-2025-11216: Inappropriate implementation in Storage.

